Bug 154518 - Connect WebAutomationSession to its backend dispatcher as if it were an agent and add stub implementations
Summary: Connect WebAutomationSession to its backend dispatcher as if it were an agent...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: BJ Burg
URL:
Keywords: InRadar
Depends on: 154509
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-21 11:45 PST by BJ Burg
Modified: 2016-03-18 09:53 PDT (History)
14 users (show)

See Also:


Attachments
Proposed Fix (10.45 KB, patch)
2016-02-21 11:52 PST, BJ Burg
no flags Details | Formatted Diff | Diff
For Landing (10.17 KB, patch)
2016-02-21 20:56 PST, BJ Burg
no flags Details | Formatted Diff | Diff
Fix GTK (10.17 KB, patch)
2016-02-21 21:08 PST, BJ Burg
no flags Details | Formatted Diff | Diff
For EWS (9.93 KB, patch)
2016-02-23 08:00 PST, BJ Burg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description BJ Burg 2016-02-21 11:45:41 PST
Woo.
Comment 1 Radar WebKit Bug Importer 2016-02-21 11:45:56 PST
<rdar://problem/24761096>
Comment 2 BJ Burg 2016-02-21 11:52:29 PST
Created attachment 271885 [details]
Proposed Fix
Comment 3 BJ Burg 2016-02-21 20:56:12 PST
Created attachment 271899 [details]
For Landing
Comment 4 WebKit Commit Bot 2016-02-21 20:58:53 PST
Attachment 271899 [details] did not pass style-queue:


ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:102:  out_windows is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:112:  in_handle is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 2 in 6 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 BJ Burg 2016-02-21 21:08:55 PST
Created attachment 271901 [details]
Fix GTK
Comment 6 WebKit Commit Bot 2016-02-21 22:15:06 PST
Attachment 271901 [details] did not pass style-queue:


ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:102:  out_windows is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:112:  in_handle is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 2 in 6 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 BJ Burg 2016-02-23 08:00:12 PST
Created attachment 272017 [details]
For EWS
Comment 8 WebKit Commit Bot 2016-02-23 08:01:29 PST
Attachment 272017 [details] did not pass style-queue:


ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:102:  out_windows is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:112:  in_handle is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 2 in 6 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 WebKit Commit Bot 2016-02-23 09:40:16 PST
Comment on attachment 272017 [details]
For EWS

Clearing flags on attachment: 272017

Committed r196980: <http://trac.webkit.org/changeset/196980>
Comment 10 WebKit Commit Bot 2016-02-23 09:40:20 PST
All reviewed patches have been landed.  Closing bug.
Comment 11 Csaba Osztrogonác 2016-02-23 10:24:47 PST
(In reply to comment #9)
> Comment on attachment 272017 [details]
> For EWS
> 
> Clearing flags on attachment: 272017
> 
> Committed r196980: <http://trac.webkit.org/changeset/196980>

It broke the Apple Mac cmake build:
https://build.webkit.org/builders/Apple%20El%20Capitan%20CMake%20Debug%20%28Build%29/builds/2725

cc-ing the build system maintainer
Comment 12 Csaba Osztrogonác 2016-02-24 03:07:56 PST
(In reply to comment #11)
> (In reply to comment #9)
> > Comment on attachment 272017 [details]
> > For EWS
> > 
> > Clearing flags on attachment: 272017
> > 
> > Committed r196980: <http://trac.webkit.org/changeset/196980>
> 
> It broke the Apple Mac cmake build:
> https://build.webkit.org/builders/
> Apple%20El%20Capitan%20CMake%20Debug%20%28Build%29/builds/2725
> 
> cc-ing the build system maintainer

The build is still broken ... but maybe bug154509 did some wrong thing too ...
Comment 13 Csaba Osztrogonác 2016-02-24 03:08:50 PST
build log:

In file included from /Volumes/Data/slave/elcapitan-cmake-debug/build/Source/WebKit2/UIProcess/Cocoa/AutomationSessionClient.mm:31:
/Volumes/Data/slave/elcapitan-cmake-debug/build/Source/WebKit2/UIProcess/Automation/WebAutomationSession.h:54:25: error: unknown class name 'AutomationBackendDispatcherHandler'; did you mean 'RuntimeBackendDispatcherHandler'?
In file included from /Volumes/Data/slave/elcapitan-cmake-debug/build/Source/WebKit2/UIProcess/API/Cocoa/_WKAutomationSession.mm:27:
In file included from /Volumes/Data/slave/elcapitan-cmake-debug/build/Source/WebKit2/UIProcess/API/Cocoa/_WKAutomationSessionInternal.h:31:
    , public Inspector::AutomationBackendDispatcherHandler
                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        RuntimeBackendDispatcherHandler/Volumes/Data/slave/elcapitan-cmake-debug/build/Source/WebKit2/UIProcess/Automation/WebAutomationSession.h:54:25: error: unknown class name 'AutomationBackendDispatcherHandler'; did you mean 'RuntimeBackendDispatcherHandler'?

    , public Inspector::AutomationBackendDispatcherHandler
                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        RuntimeBackendDispatcherHandler
Comment 14 Csaba Osztrogonác 2016-02-24 23:35:20 PST
Ping
Comment 15 BJ Burg 2016-02-25 14:07:58 PST
(In reply to comment #13)
> build log:
> 
> In file included from
> /Volumes/Data/slave/elcapitan-cmake-debug/build/Source/WebKit2/UIProcess/
> Cocoa/AutomationSessionClient.mm:31:
> /Volumes/Data/slave/elcapitan-cmake-debug/build/Source/WebKit2/UIProcess/
> Automation/WebAutomationSession.h:54:25: error: unknown class name
> 'AutomationBackendDispatcherHandler'; did you mean
> 'RuntimeBackendDispatcherHandler'?
> In file included from
> /Volumes/Data/slave/elcapitan-cmake-debug/build/Source/WebKit2/UIProcess/API/
> Cocoa/_WKAutomationSession.mm:27:
> In file included from
> /Volumes/Data/slave/elcapitan-cmake-debug/build/Source/WebKit2/UIProcess/API/
> Cocoa/_WKAutomationSessionInternal.h:31:
>     , public Inspector::AutomationBackendDispatcherHandler
>                         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>                        
> RuntimeBackendDispatcherHandler/Volumes/Data/slave/elcapitan-cmake-debug/
> build/Source/WebKit2/UIProcess/Automation/WebAutomationSession.h:54:25:
> error: unknown class name 'AutomationBackendDispatcherHandler'; did you mean
> 'RuntimeBackendDispatcherHandler'?
> 
>     , public Inspector::AutomationBackendDispatcherHandler
>                         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>                         RuntimeBackendDispatcherHandler

I don't have an easy way to test fixes for this bot since there's no EWS. The maintainer will have to address it, or wait until I have access to such a machine.
Comment 16 Csaba Osztrogonác 2016-02-25 21:34:58 PST
(In reply to comment #15)
> I don't have an easy way to test fixes for this bot since there's no EWS.
> The maintainer will have to address it, or wait until I have access to such
> a machine.

Why not? AFAIK you only need to pass --cmake to build-webkit on a Mac.
Comment 17 Csaba Osztrogonác 2016-02-29 04:35:16 PST
The build is still broken because of this change. The question 
is if Apple maintains its own cmake build system or not. It seems no ...
Comment 18 Csaba Osztrogonác 2016-03-01 00:22:02 PST
7 days later and the build is still broken ...
Comment 19 Timothy Hatcher 2016-03-01 00:57:19 PST
(In reply to comment #18)
> 7 days later and the build is still broken ...

You could try to fix it as well instead of relentlessly commenting. We don't have time to look at it currently. From webkit-dev, "the CMake build on Mac is experimental and incomplete right now".
Comment 20 Csaba Osztrogonác 2016-03-01 03:04:29 PST
(In reply to comment #19)
> (In reply to comment #18)
> > 7 days later and the build is still broken ...
> 
> You could try to fix it as well instead of relentlessly commenting. We don't
> have time to look at it currently. From webkit-dev, "the CMake build on Mac
> is experimental and incomplete right now".

I fixed many build issue (after Apple employees) blindly, but it's
impossible to fix this one without a Mac. An EWS could help, but
there isn't.

Does experimental mean here that everyone can break it and 
nobody is responsible to fix the build within a reasonable time?
If yes, I will simply ignore this bot and won't report new issues.
Comment 21 BJ Burg 2016-03-01 09:23:13 PST
(In reply to comment #20)

> Does experimental mean here that everyone can break it and 
> nobody is responsible to fix the build within a reasonable time?
> If yes, I will simply ignore this bot and won't report new issues.

Yes, that's what it means. It's a side project, just like WinCairo. Sometimes people don't have time to keep it maintained, sometimes they do. Which is why we can't roll out patches simply because they break CMake- it doesn't even have EWS.
Comment 22 Csaba Osztrogonác 2016-03-18 09:07:26 PDT
The original patch landed a month ago, and the build is still broken:

In file included from /Volumes/Data/slave/elcapitan-cmake-debug/build/Source/WebKit2/UIProcess/WebProcessPool.cpp:46:
/Volumes/Data/slave/elcapitan-cmake-debug/build/Source/WebKit2/UIProcess/Automation/WebAutomationSession.h:56:25: error: unknown class name 'AutomationBackendDispatcherHandler'; did you mean 'RuntimeBackendDispatcherHandler'?
    , public Inspector::AutomationBackendDispatcherHandler
                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        RuntimeBackendDispatcherHandler
/Volumes/Data/slave/elcapitan-cmake-debug/build/WebKitBuild/Debug/DerivedSources/JavaScriptCore/inspector/InspectorBackendDispatchers.h:341:25: note: 'RuntimeBackendDispatcherHandler' declared here
class JS_EXPORT_PRIVATE RuntimeBackendDispatcherHandler {
                        ^
Comment 23 Timothy Hatcher 2016-03-18 09:53:04 PDT
Again, we don't have time to look at it currently.